gi-gdkx11-3.0.10: GdkX11 bindings

Copyright | Will Thompson Iñaki García Etxebarria and Jonas Platte
License | LGPL-2.1
Maintainer | Iñaki García Etxebarria
Safe Haskell | None
Language | Haskell2010

GI.GdkX11.Objects.X11GLContext

Contents

- Exported types
- Methods
  - Overloaded methods

Description

No description available in the introspection data.

Synopsis

- newtype X11GLContext = X11GLContext (ManagedPtr X11GLContext)
- class (GObject o, IsDescendantOf X11GLContext o) => IsX11GLContext o
- toX11GLContext :: (MonadIO m, IsX11GLContext o) => o -> m X11GLContext

# Exported types

newtype X11GLContext Source #

Memory-managed wrapper type.

Constructors

X11GLContext (ManagedPtr X11GLContext) |

#### Instances

Instances details

Eq X11GLContext Source # |
Instance details Defined in GI.GdkX11.Objects.X11GLContext Methods (==) :: X11GLContext -> X11GLContext -> Bool # (/=) :: X11GLContext -> X11GLContext -> Bool #
GObject X11GLContext Source # |
Instance details Defined in GI.GdkX11.Objects.X11GLContext
TypedObject X11GLContext Source # |
Instance details Defined in GI.GdkX11.Objects.X11GLContext Methods glibType :: IO GType Source #
ManagedPtrNewtype X11GLContext Source # |
Instance details Defined in GI.GdkX11.Objects.X11GLContext Methods toManagedPtr :: X11GLContext -> ManagedPtr X11GLContext Source #
IsGValue X11GLContext Source # | Convert `X11GLContext` to and from `GValue` with `toGValue` and `fromGValue`.
Instance details Defined in GI.GdkX11.Objects.X11GLContext Methods toGValue :: X11GLContext -> IO GValue Source # fromGValue :: GValue -> IO X11GLContext Source #
HasParentTypes X11GLContext Source # |
Instance details Defined in GI.GdkX11.Objects.X11GLContext
type ParentTypes X11GLContext Source # |
Instance details Defined in GI.GdkX11.Objects.X11GLContext type ParentTypes X11GLContext = '[GLContext, Object]

class (GObject o, IsDescendantOf X11GLContext o) => IsX11GLContext o Source #

Type class for types which can be safely cast to `X11GLContext`, for instance with `toX11GLContext`.

#### Instances

Instances details

(GObject o, IsDescendantOf X11GLContext o) => IsX11GLContext o Source # |
Instance details Defined in GI.GdkX11.Objects.X11GLContext

toX11GLContext :: (MonadIO m, IsX11GLContext o) => o -> m X11GLContext Source #

Cast to `X11GLContext`, for types for which this is known to be safe. For general casts, use `castTo`.

# Methods

## Overloaded methods